<div class="container" *ngIf="!b64 && !captureFoto">
    <div id="contenido" class="container text-center">
        <h3 class="my-3 ">{{titulo}}</h3>

        <div style="color: red; text-align: left !important;" *ngIf="mensajeError">
            <span>Asegúrate que el documento:</span>
            <ul>
                <li>esté sobre un fondo oscuro</li>
                <li>se encuentre de forma horizontal</li>
            </ul>
        </div>

        <div style="color: red; text-align: left !important;" *ngIf="mensajeFormato">
            <span>El formato de archivo no es valido, asegurate de que sea JPG o JPEG</span>
        </div>

        <ng-template #thenOK>
            <div class="row">
                <div class="col-6 mx-auto my-3"> <img alt="" class="img-fluid" src="{{fotoFT}}"> </div>
            </div>
        </ng-template>
        <ng-template #elseErr>
            <div class="px-5">
                <img src="{{fotoFT}}" alt="" style="width: 150px; height: 150px;" class="img-fluid">

            </div>
        </ng-template>
        <p class="text-2">{{description}}</p>
        <p class="my-3">
            <button id="captureCameraWeb" (click)="captueWCamera()" type="button"
                class="btn btn-lg btn-block btn-danger mr-3 btnUrl captureCameraWeb btnPrimary"
                data-url="errorIdentificacion.html" [style.background-color]="getColorButton()"
                [style.border-color]="getColorButton()" [style.border-color]="getColorButton()"
                [style.color]="getColorLabel()"><i class="fas fa-camera"></i> Tomar foto</button>
        </p>

        <p class="my-3">
            <span>
                <input #imgInput type="file" accept="image/jpeg, image/jpg" (change)="processFile(imgInput)">
                <button id="galeryButton" (click)="imgInput.click()" type="button"
                    class="btn btn-lg btn-block btn-outline-danger btn-danger mr-3 btnUrl btnPrimary"
                    data-url="errorIdentificacion.html" [style.background-color]="getColorButton()"
                    [style.border-color]="getColorButton()" [style.color]="getColorLabel()"><i class="far fa-image"></i>
                    Galería</button>
            </span>
        </p>

        <p class="my-3">
            <button id="MovilContinue" (click)="movilContinue()" type="button"
                class="btn btn-lg btn-block btn-danger mr-3 btnUrl continue btnPrimary"
                data-url="errorIdentificacion.html" [style.border-color]="getColorButton()"><i
                    class="fas fa-mobile"></i> Continuar en el celular</button>
        </p>

    </div>

</div>

<!-- voy a intentar meter la camara aqui -->

<div *ngIf="captureFoto">

    <div class="page-capture">

        <div class="fqTopButton" *ngIf="showGaleryOption">
            <p class="center">
                <span>
                    <input #imgInput type="file" accept="image/jpeg, image/jpg" (change)="processFile(imgInput)">
                    <button id="galeryButton" (click)="imgInput.click()" type="button"
                        class="btn btn-lg btn-danger btnPrimary" [style.background-color]="getColorButton()"
                        [style.border-color]="getColorButton()" [style.color]="getColorLabel()"><i
                            class="far fa-image"></i> Tomar foto desde Galeria</button>
                </span>
            </p>
        </div>

        <div class="row">
            <div class="col-12">
                <div class=" {{'ui-canvas-container'}}">
                    <video id="video" class="{{'ui-canvas'}}" autoplay=""
                        playsinline=""
                        style="display: inherit;"></video>
                    <div class="overlay overlay-rect overlay-rect-id"></div>
                </div>
            </div>
        </div>

        <canvas id="canvas" style="overflow:auto; visibility: hidden;"></canvas>

        <div class="fq">
            <h4 class="center instructions-on-face">{{mensaje}}</h4>
            <p class="center">
                <button id="captureDocumentDaon" (click)="enter()" type="button"
                    class="btn btn-lg btn-danger btnPrimary" [style.background-color]="getColorButton()"
                    [style.border-color]="getColorButton()" [style.color]="getColorLabel()"><i
                        class="fas fa-camera"></i> Tomar foto</button>

                <!-- <button id="enfocar" type="button" class="btn btn-lg btn-danger btnPrimary"
                    [style.background-color]="getColorButton()" [style.border-color]="getColorButton()"
                    [style.color]="getColorLabel()"><i class="fas fa-camera"></i> Enfocar</button> -->
            </p>

        </div>
    </div>
</div>

<!-- aqui termine de intentar meter la camara -->


<div id="modalConfirm" class="modal my-auto">

    <!-- Modal content -->
    <div class="modal-content">
        <h3>Aviso importante</h3>
        <p>Si presiona el botón "Confirmar" únicamente podrá continuar su registro en su dispositivo móvil</p>
        <button id="btnAceptarModal" type="button" (click)="aceptar()"
            class="btn btn-lg btn-block mr-3 btnUrl colorTextBtn btnPrimary" [style.background-color]="getColorButton()"
            [style.border-color]="getColorButton()" [style.color]="getColorLabel()">Confirmar</button>
        <button id="btnCancelarModal" type="button" (click)="cerrarModal()"
            class="btn btn-lg btn-block mr-3 btnUrl colorTextBtn btnPrimary" [style.border-color]="getColorButton()"
            [style.color]="getColorLabel()">Regresar</button>
    </div>
</div>

<div class="container" *ngIf="b64" >
    <img [src]="b64" width="80%" height="70%" style="margin-left: 10%; margin-bottom: 5%;">
    <button id="btnAceptarModal" type="button" (click)="acceptImage()"
        class="btn btn-lg btn-block mr-3 btnUrl colorTextBtn btnPrimary" [style.background-color]="getColorButton()"
        [style.border-color]="getColorButton()" [style.color]="getColorLabel()">Confirmar</button>
    <button id="btnDeleteData" type="button" (click)="deleteData()"
        class="btn btn-lg btn-block mr-3 btnUrl colorTextBtn btnPrimary" [style.border-color]="getColorButton()"
        [style.color]="getColorButton()">Cancelar</button>
</div>